[Python-modules-commits] r15971 - in packages/xlwt/trunk/debian (5 files)

jandd at users.alioth.debian.org jandd at users.alioth.debian.org
Thu Mar 3 22:03:54 UTC 2011


    Date: Thursday, March 3, 2011 @ 22:03:43
  Author: jandd
Revision: 15971

* Fix "unnecessary Depends", repacked source without antlr.py
  (Closes: #614501)
* add debian/new-upstream script for repacking upstream source
* change debian/watch to execute debian/new-upstream when using uscan
* debian/rules:
  - add --with python2 to dh invocation
  - don't do repacking directly in get-orig-source rule
* debian/control:
  - bump Standards-Version to 3.9.1 (no changes needed)
  - change XS-Python-Version to X-Python-Version
  - drop python-support dependency
  - bump python dependency to 2.6.5-1~
  - add Breaks: ${python:Breaks}
* add debian/source/format with content "3.0 (quilt)"

Added:
  packages/xlwt/trunk/debian/new-upstream
Modified:
  packages/xlwt/trunk/debian/changelog
  packages/xlwt/trunk/debian/control
  packages/xlwt/trunk/debian/rules
  packages/xlwt/trunk/debian/watch

Modified: packages/xlwt/trunk/debian/changelog
===================================================================
--- packages/xlwt/trunk/debian/changelog	2011-03-03 20:25:19 UTC (rev 15970)
+++ packages/xlwt/trunk/debian/changelog	2011-03-03 22:03:43 UTC (rev 15971)
@@ -1,3 +1,22 @@
+xlwt (0.7.2+debian1-1) UNRELEASED; urgency=low
+
+  * Fix "unnecessary Depends", repacked source without antlr.py
+    (Closes: #614501)
+  * add debian/new-upstream script for repacking upstream source
+  * change debian/watch to execute debian/new-upstream when using uscan
+  * debian/rules:
+    - add --with python2 to dh invocation
+    - don't do repacking directly in get-orig-source rule
+  * debian/control:
+    - bump Standards-Version to 3.9.1 (no changes needed)
+    - change XS-Python-Version to X-Python-Version
+    - drop python-support dependency
+    - bump python dependency to 2.6.5-1~
+    - add Breaks: ${python:Breaks}
+  * add debian/source/format with content "3.0 (quilt)"
+
+ -- Jan Dittberner <jandd at debian.org>  Thu, 03 Mar 2011 22:45:15 +0100
+
 xlwt (0.7.2-2) unstable; urgency=low
 
   * switch to dh7

Modified: packages/xlwt/trunk/debian/control
===================================================================
--- packages/xlwt/trunk/debian/control	2011-03-03 20:25:19 UTC (rev 15970)
+++ packages/xlwt/trunk/debian/control	2011-03-03 22:03:43 UTC (rev 15971)
@@ -3,18 +3,18 @@
 Priority: optional
 Maintainer: Jan Dittberner <jandd at debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team at lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.0.50)
-Build-Depends-Indep: python (>= 2.5.4-1~),
- python-support (>= 0.6.4), python-setuptools (>= 0.6b3-1~)
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.0.50~)
+Build-Depends-Indep: python (>= 2.5.6-1~), python-setuptools (>= 0.6b3-1~)
+Standards-Version: 3.9.1
 Homepage: http://pypi.python.org/pypi/xlwt
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/xlwt/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/xlwt/trunk/
-XS-Python-Version: >= 2.3
+X-Python-Version: >= 2.3
 
 Package: python-xlwt
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-antlr
+Breaks: ${python:Breaks}
 Description: module for reading/writing Microsoft Excel spreadsheet files
  Xlwt is a Python module for generating .xls spreadsheet files compatible with
  Excel 97/2000/XP/2003, OpenOffice.org Calc, and Gnumeric. Excel spreadsheets

Added: packages/xlwt/trunk/debian/new-upstream
===================================================================
--- packages/xlwt/trunk/debian/new-upstream	                        (rev 0)
+++ packages/xlwt/trunk/debian/new-upstream	2011-03-03 22:03:43 UTC (rev 15971)
@@ -0,0 +1,41 @@
+#!/bin/sh
+#
+# new-upstream: Copyright © 2010, 2011 by Jan Dittberner <jandd at debian.org>
+#
+# Called by uscan; from uscan(1):
+#
+# Finally,  if a third parameter (an action) is given in the watchfile
+# line, this is taken as the name of a command, and the command
+#  command --upstream-version version filename
+# 
+# is executed, using either the original file or the symlink name.
+#
+# Thanks to Vincent Fourmond's <fourmond at debian.org> freecol package - where he
+# thanks Sam Morris <sam at robots.org.uk> for giving him the idea - for giving me
+# the idea.
+#
+
+# If called manually, this file must be called within the xlwt/ directory.
+
+version=$2
+filename=`readlink -f $3`
+targetdir=`dirname $filename`
+
+dir=`mktemp -d`
+
+curdir=`pwd`
+
+origname="${targetdir}/xlwt_${version}+debian1.orig.tar.gz"
+
+echo "Repacking xlwt version $version from $filename"
+
+# Abort on errors:
+set -e
+
+cd "$dir"
+tar xzf "$filename"
+rm -f xlwt-$version/xlwt/antlr.py
+tar czf "$origname" xlwt-$version
+echo "Repacked tarball is $origname"
+cd -
+rm -rf "$dir"


Property changes on: packages/xlwt/trunk/debian/new-upstream
___________________________________________________________________
Added: svn:executable
   + *

Modified: packages/xlwt/trunk/debian/rules
===================================================================
--- packages/xlwt/trunk/debian/rules	2011-03-03 20:25:19 UTC (rev 15970)
+++ packages/xlwt/trunk/debian/rules	2011-03-03 22:03:43 UTC (rev 15971)
@@ -6,7 +6,7 @@
 
 
 %:
-	dh $@
+	dh --with python2 $@
 
 override_dh_auto_clean:
 	find . -name '*\.py[co]' -delete
@@ -27,10 +27,6 @@
 	VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p'); \
 	if [ x$$REV = x ]; then \
 	  uscan --force-download --rename --download-version=$$VER --destdir=.; \
-      tar -zxf xlwt_$$VER.orig.tar.gz; \
-      rm -f xlwt-$$VER/xlwt/antlr.py; \
-      tar -zcf xlwt_$$VER.orig.tar.gz xlwt-$$VER; \
-      rm -rf xlwt-$$VER; \
 	else \
 	  svn -q export -r $$REV https://secure.simplistix.co.uk/svn/xlwt/trunk xlwt-r$$REV && \
 	  rm -f xlw-r$$REV/xlwt/antlr.py && \

Modified: packages/xlwt/trunk/debian/watch
===================================================================
--- packages/xlwt/trunk/debian/watch	2011-03-03 20:25:19 UTC (rev 15970)
+++ packages/xlwt/trunk/debian/watch	2011-03-03 22:03:43 UTC (rev 15971)
@@ -1,2 +1,3 @@
 version=3
-http://pypi.python.org/packages/source/x/xlwt/ xlwt-(.*)\.tar\.gz
+opts=dversionmangle=s/\+debian\d+$// \
+ http://pypi.python.org/packages/source/x/xlwt/ xlwt-(.*)\.tar\.gz debian debian/new-upstream




More information about the Python-modules-commits mailing list